Package org.jfree.layouting.util.geom

## Class StrictGeomUtility

- java.lang.Object
- - org.jfree.layouting.util.geom.StrictGeomUtility

-     public class StrictGeomUtility
      extends java.lang.Object

  This class is the heart of the alternative geometrics toolkit. It performs the neccessary conversions from and to the AWT classes to the Strict-classes.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.awt.geom.Dimension2D` | `createAWTDimension​(long width, long height)` | Creates an AWT-Dimension2D object from the given strict sizes.
    `static java.awt.geom.Rectangle2D` | `createAWTRectangle​(long x, long y, long width, long height)` | Creates an AWT rectangle object from the given strict sizes.
    `static StrictBounds` | `createBounds​(double x, double y, double width, double height)` | Creates a StrictBounds object from the given AWT sizes.
    `static StrictDimension` | `createDimension​(double w, double h)` | Creates a StrictDimension from the given AWT sizes.
    `static StrictPoint` | `createPoint​(double x, double y)` | Creates a StrictPoint from the given AWT coordinates.
    `static long` | `multiply​(long x, long y)` |
    `static double` | `toExternalValue​(long value)` | Converts the given micro point value into an AWT value.
    `static long` | `toInternalValue​(double value)` | Converts the given AWT value into a strict value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createDimension

          public static StrictDimension createDimension​(double w,
                                                        double h)

      Creates a StrictDimension from the given AWT sizes.
      Parameters:
        `w` - the width in points (1/72th inch).
        `h` - the height in points (1/72th inch).
      Returns:
        the created dimension object.

    - #### createPoint

          public static StrictPoint createPoint​(double x,
                                                double y)

      Creates a StrictPoint from the given AWT coordinates.
      Parameters:
        `x` - the x coordinate in points (1/72th inch).
        `y` - the y coordinate in points (1/72th inch).
      Returns:
        the created point object.

    - #### createBounds

          public static StrictBounds createBounds​(double x,
                                                  double y,
                                                  double width,
                                                  double height)

      Creates a StrictBounds object from the given AWT sizes.
      Parameters:
        `x` - the x coordinate in points (1/72th inch).
        `y` - the y coordinate in points (1/72th inch).
        `width` - the width in points (1/72th inch).
        `height` - the height in points (1/72th inch).
      Returns:
        the created dimension object.

    - #### createAWTDimension

          public static java.awt.geom.Dimension2D createAWTDimension​(long width,
                                                                     long height)

      Creates an AWT-Dimension2D object from the given strict sizes.
      Parameters:
        `width` - the width in micro points.
        `height` - the height in micro points.
      Returns:
        the created dimension object.

    - #### createAWTRectangle

          public static java.awt.geom.Rectangle2D createAWTRectangle​(long x,
                                                                     long y,
                                                                     long width,
                                                                     long height)

      Creates an AWT rectangle object from the given strict sizes.
      Parameters:
        `x` - the x coordinate in micro points.
        `y` - the y coordinate in micro points.
        `width` - the width in micro points.
        `height` - the height in micro points.
      Returns:
        the created dimension object.

    - #### toInternalValue

          public static long toInternalValue​(double value)

      Converts the given AWT value into a strict value.
      Parameters:
        `value` - the AWT point value.
      Returns:
        the internal micro point value.

    - #### toExternalValue

          public static double toExternalValue​(long value)

      Converts the given micro point value into an AWT value.
      Parameters:
        `value` - the micro point point value.
      Returns:
        the AWT point value.

    - #### multiply

          public static long multiply​(long x,
                                      long y)